Bug 1137021 - Review Request: monofett-fonts - Monofett font released by Vernon Adams
Summary: Review Request: monofett-fonts - Monofett font released by Vernon Adams
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1070946
TreeView+ depends on / blocked
 
Reported: 2014-09-03 20:56 UTC by Julien Enselme
Modified: 2014-09-27 10:04 UTC (History)
4 users (show)

Fixed In Version: monofett-fonts-1.000-0.3.20140913hg.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 05:12:20 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-09-03 20:56:02 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/monofett-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/monofett-fonts-1.00-1.41528389c445hg.fc20.src.rpm
Description:
Monofett started as designs for custom mountain bike branding. As a font it is
designed to be a bold, eye catching decal-like display face with a sense of an
edgy but technical function.

Fedora Account System Username: jujens

Comment 1 Parag AN(पराग) 2014-09-04 14:10:21 UTC
this package is missing foundry. See http://fedoraproject.org/wiki/Packaging:FontsPolicy#Naming this. Fonts packaged from google font directory should start its name with prefix "google-"

Comment 2 Parag AN(पराग) 2014-09-09 16:08:29 UTC
We got naming issue resolved as "we don't need to add `google-` prefix". 

Review:

+ Package builds fine in mock in F22

- rpmlint on generated rpms gave output
monofett-fonts.src: E: specfile-error warning: line 61: second %files
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

- source verified with upstream as (sha256sum)
=> Don't know how to download source archive

+ License is OFL and included in its own text file OFL.txt

- fontconfig file looks good

+ follows fonts packaging guidelines except additional %files

Suggestions:
1) if you execute
rpm -E %_font_pkg

you will see this macro already added %files. so you should remove %files written explicitly in spec file.

2) How do you created source archive? Maybe you should add comment above Source0: tag and write how one can obtain same tarball

3) and version looks 1.000 and not 1.00

4) URL: should be https://www.google.com/fonts/specimen/Monofett

Comment 3 Julien Enselme 2014-09-09 19:33:55 UTC
1) Strange, I didn't get this warning. I removed the %files macro.

2) I added a comment.
# To create the tarball, download the Monofett.sfd file
# listed here: http://code.google.com/p/googlefontdirectory/source/browse/ofl/monofett#monofett%2Fsrc
# and the OFL.txt file listed here: https://code.google.com/p/googlefontdirectory/source/browse/ofl/monofett
# Then, create the archive by hand.

3) Corrected

4) Corrected

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/monofett-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/monofett-fonts-1.000-2.41528389c445hg.fc20.src.rpm

Comment 4 Parag AN(पराग) 2014-09-13 06:04:18 UTC
here source url's can be used as
$ wget https://googlefontdirectory.googlecode.com/hg/ofl/monofett/Monofett.ttf
--2014-09-13 11:33:25--  https://googlefontdirectory.googlecode.com/hg/ofl/monofett/Monofett.ttf
Resolving googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)... 74.125.130.82, 2404:6800:4003:c01::52
Connecting to googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)|74.125.130.82|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 58132 (57K) [application/octet-stream]
Saving to: ‘Monofett.ttf’

100%[======================================>] 58,132      55.7KB/s   in 1.0s   

2014-09-13 11:33:29 (55.7 KB/s) - ‘Monofett.ttf’ saved [58132/58132]

$ wget https://googlefontdirectory.googlecode.com/hg/ofl/monofett/OFL.txt
--2014-09-13 11:33:36--  https://googlefontdirectory.googlecode.com/hg/ofl/monofett/OFL.txt
Resolving googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)... 74.125.130.82, 2404:6800:4003:c01::52
Connecting to googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)|74.125.130.82|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [text/plain]
Saving to: ‘OFL.txt’

    [ <=>                                   ] 4,406       --.-K/s   in 0.01s   

2014-09-13 11:33:39 (346 KB/s) - ‘OFL.txt’ saved [4406]

Comment 6 Parag AN(पराग) 2014-09-15 06:23:07 UTC
Looks good now.
APPROVED.

Comment 7 Julien Enselme 2014-09-15 17:11:51 UTC
New Package SCM Request
=======================
Package Name: monofett-fonts
Short Description: Monofett font released by Vernon Adams
Upstream URL: https://www.google.com/fonts/specimen/Monofett
Owners: jujens
Branches: f20 f21
InitialCC: fonts-sig, i18n-team

Comment 8 Gwyn Ciesla 2014-09-15 18:33:48 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-09-15 21:28:31 UTC
monofett-fonts-1.000-0.3.20140913hg.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/monofett-fonts-1.000-0.3.20140913hg.fc20

Comment 10 Fedora Update System 2014-09-15 21:28:36 UTC
monofett-fonts-1.000-0.3.20140913hg.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/monofett-fonts-1.000-0.3.20140913hg.fc21

Comment 11 Fedora Update System 2014-09-16 18:44:48 UTC
monofett-fonts-1.000-0.3.20140913hg.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2014-09-23 05:12:20 UTC
monofett-fonts-1.000-0.3.20140913hg.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-09-27 10:04:19 UTC
monofett-fonts-1.000-0.3.20140913hg.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.